Package org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsJoinBiConstraintStream<Solution_,​A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsAbstractBiConstraintStream<Solution_,​A,​B>
      - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsJoinBiConstraintStream<Solution_,​A,​B>

- All Implemented Interfaces:
    `BiConstraintStream<A,​B>`, `ConstraintStream`, `InnerBiConstraintStream<A,​B>`

      public class DroolsJoinBiConstraintStream<Solution_,​A,​B>
      extends DroolsAbstractBiConstraintStream<Solution_,​A,​B>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsJoinBiConstraintStream​(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractUniConstraintStream<Solution_,​A> parent, DroolsAbstractUniConstraintStream<Solution_,​B> otherStream, BiJoiner<A,​B> biJoiner)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BiConstraintGraphNode` | `getConstraintGraphNode()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.bi.DroolsAbstractBiConstraintStream

      `filter, getCardinality, groupBy, groupBy, groupBy, groupBy, groupBy, groupBy, ifExists, ifNotExists, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `addChildStream, buildConstraint, buildConstraintConfigurable, getChildStreams, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impact, penalize, penalizeConfigurable, reward, rewardConfigurable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.bi.BiConstraintStream

      `ifExists, ifExists, ifExists, ifExists, ifNotExists, ifNotExists, ifNotExists, ifNotExists, impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, impact, impact, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bi.InnerBiConstraintStream

      `impact, impactBigDecimal, impactConfigurable, impactConfigurableBigDecimal, impactConfigurableLong, impactLong, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

- - ### Constructor Detail

    - #### DroolsJoinBiConstraintStream

          public DroolsJoinBiConstraintStream​(DroolsConstraintFactory<Solution_> constraintFactory,
                                              DroolsAbstractUniConstraintStream<Solution_,​A> parent,
                                              DroolsAbstractUniConstraintStream<Solution_,​B> otherStream,
                                              BiJoiner<A,​B> biJoiner)

  - ### Method Detail

    - #### getConstraintGraphNode

          public BiConstraintGraphNode getConstraintGraphNode()

      Specified by:
        `getConstraintGraphNode` in class `DroolsAbstractBiConstraintStream<Solution_,​A,​B>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`